Skip to content

SymXDeviceMap⁠

Perform various operations for Symitar parameters.

Operations⁠

getSymXDeviceMapSelectFields⁠

POST

Execute the persistent ParameterService getSymXDeviceMapSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SymXDeviceMapInstanceIdintegeroptional
SymXDeviceMapDeviceIdintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSymXDeviceMapSelectFields
POST /nexum/627/persistent/parameter/getSymXDeviceMapSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SymXDeviceMapInstanceId": 0,
  "SymXDeviceMapDeviceId": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllSymXDeviceMapFields": true,
    "SymXDeviceMapFields": {
      "BalanceRecordNumber": true,
      "ClientNumber": true,
      "Description": true,
      "DeviceId": true,
      "DeviceNumber": true,
      "DeviceType": true,
      "InstanceId": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSymXDeviceMapPagedListSelectFields⁠

POST

Execute the persistent ParameterService getSymXDeviceMapPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSymXDeviceMapPagedListSelectFields
POST /nexum/627/persistent/parameter/getSymXDeviceMapPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSymXDeviceMapFields": true,
    "SymXDeviceMapFields": {
      "BalanceRecordNumber": true,
      "ClientNumber": true,
      "Description": true,
      "DeviceId": true,
      "DeviceNumber": true,
      "DeviceType": true,
      "InstanceId": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchSymXDeviceMapPagedSelectFields⁠

POST

Execute the persistent ParameterService searchSymXDeviceMapPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchSymXDeviceMapPagedSelectFields
POST /nexum/627/persistent/parameter/searchSymXDeviceMapPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSymXDeviceMapFields": true,
    "SymXDeviceMapFields": {
      "BalanceRecordNumber": true,
      "ClientNumber": true,
      "Description": true,
      "DeviceId": true,
      "DeviceNumber": true,
      "DeviceType": true,
      "InstanceId": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}